# TextPatternScannerResult class

The result of the text line recognition.

## Constructors

TextPatternScannerResult.new({required String rawText, required List<WordBox> wordBoxes, required List<SymbolBox> symbolBoxes, double confidence = 0.0, bool validationSuccessful = false})
TextPatternScannerResult.fromJson(Map<String, dynamic> json)
  factory

## Properties

confidence → double
  Confidence of the recognition.
  final
hashCode → int
  The hash code for this object.
  no setter inherited
rawText → String
  Raw recognized string.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
symbolBoxes → List<SymbolBox>
  Boxes for each recognized symbol.
  final
validationSuccessful → bool
  Whether the validation was successful.
  final
wordBoxes → List<WordBox>
  Boxes for each recognized word.
  final

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited